package com.mortals.xhx.module.perform.model;

import com.mortals.xhx.module.perform.model.vo.PerformErrorMessageVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* 绩效异常信息实体对象
*
* @author zxfei
* @date 2024-04-28
*/
@Data
public class PerformErrorMessageEntity extends PerformErrorMessageVo {
    private static final long serialVersionUID = 1L;

    /**
    * 核查记录Id
    */
    private Long checkRecordId;
    /**
    * 部门id号
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 所属大厅
    */
    private Long salaId;
    /**
    * 所属大厅名称
    */
    private String salaName;
    /**
    * 绩效责任人id
    */
    private Long staffId;
    /**
    * 绩效负责人名称
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 异常时间
    */
    private Date errorTime;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleName;
    /**
    * 增减类型(1.增加,2.扣除)
    */
    private Integer subAddType;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 阅读状态0未读1已读
    */
    private Integer readStatus;
    /**
    * 核查处理状态1.未处理,2.已处理
    */
    private Integer checkStatus;
    /**
    * 申述状态（-1未申诉，0，申述中1.通过,2.不通过）
    */
    private Integer appealStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformErrorMessageEntity) {
            PerformErrorMessageEntity tmp = (PerformErrorMessageEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.checkRecordId = null;
            this.deptId = null;
            this.deptName = "";
            this.salaId = null;
            this.salaName = "";
            this.staffId = null;
            this.staffName = "";
            this.workNum = "";
            this.errorTime = new Date();
            this.ruleId = null;
            this.ruleName = "";
            this.subAddType = 1;
            this.score = BigDecimal.ZERO;
            this.readStatus = 0;
            this.checkStatus = 0;
            this.appealStatus = -1;
            this.remark = "";
    }
}