package com.mortals.xhx.module.perform.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.AppealStatusEnum;
import com.mortals.xhx.common.code.CheckStatusEnum;
import com.mortals.xhx.common.code.SubAddTypeEnum;
import com.mortals.xhx.module.perform.model.PerformErrorMessageEntity;
import com.mortals.xhx.module.perform.service.PerformErrorMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 绩效异常信息
*
* @author zxfei
* @date 2024-04-28
*/
@RestController
@RequestMapping("perform/error/message")
public class PerformErrorMessageController extends BaseCRUDJsonBodyMappingController<PerformErrorMessageService,PerformErrorMessageEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PerformErrorMessageController(){
        super.setModuleDesc( "绩效异常信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "subAddType", SubAddTypeEnum.getEnumMap());
                this.addDict(model, "checkStatus", CheckStatusEnum.getEnumMap());
                this.addDict(model, "appealStatus", AppealStatusEnum.getEnumMap());
        super.init(model, context);
    }


}